##
# Pattern Library Inclusion 表示模式库收录。

module Unidom::Stapar
  class PatternLibraryInclusion < ApplicationRecord

    self.table_name = 'unidom_pattern_library_inclusions'

    include Unidom::Common::Concerns::ModelExtension
    include ProgneTapera::EnumCode

    belongs_to :pattern_library, class_name: 'Unidom::Stapar::PatternLibrary'
    belongs_to :pattern,         polymorphic: true

    scope :pattern_library_is, -> (pattern_library) { where pattern_library: pattern_library }
    scope :pattern_is,         -> (pattern)         { where pattern:         pattern         }

  end unless Unidom::Common::Neglection.namespace_neglected? 'Unidom::Stapar::PatternLibraryInclusion'
end
