# Sample 表示采样记录。

module Unidom::Stapar
  class Sample < ApplicationRecord

    self.table_name = 'unidom_samples'

    include Unidom::Common::Concerns::ModelExtension
    include ProgneTapera::EnumCode
    #include Unidom::Stapar::Concerns::AsSample
    include Unidom::Stapar::Concerns::AsInputSample
    include Unidom::Stapar::Concerns::AsMatchedSample

    validates :raw_data_link,      presence: true, length: { in: 4..self.columns_hash['raw_data_link'].limit }
    validates :raw_data_mime_type, presence: true, length: { in: 4..self.columns_hash['raw_data_mime_type'].limit }
    validates :raw_data_file_size, presence: true, numericality: { greater_than_or_equal_to: -1, less_than_or_equal_to: Unidom::Common::MAXIMUM_AMOUNT, only_integer: true }

    validates :sampled_at, presence: true

    scope :raw_data_link_is,   -> (raw_data_link)   { where raw_data_link:   raw_data_link   }

  end unless Unidom::Common::Neglection.namespace_neglected? 'Unidom::Stapar::Sample'
end
