class CreateUnidomClassifiers < ActiveRecord::Migration[6.0]

  def change

    create_table :unidom_classifiers, id: :uuid do |t|

      t.string :supplier_name, null: false, default: '', limit: 200

      t.string  :algorithm_name,      null: false, default: '', limit: 200
      t.integer :data_format_version, null: false, default: 0

      t.string :applied_species,               null: false, default: '', limit: 200
      t.column :applied_field_code, 'char(4)', null: false, default: 'FACE'

      t.text :instruction
      t.text :description

      t.column   :state, 'char(1)', null: false, default: Unidom::Common::STATE
      t.datetime :opened_at,        null: false, default: Unidom::Common::OPENED_AT
      t.datetime :closed_at,        null: false, default: Unidom::Common::CLOSED_AT
      t.boolean  :defunct,          null: false, default: false
      t.jsonb    :notation,         null: false, default: {}

      t.timestamps null: false

    end

  end

end
