class CreateUnidomPatternMatchings < ActiveRecord::Migration[6.0]

  def change

    create_table :unidom_pattern_matchings, id: :uuid do |t|

      t.references :matched, type: :uuid, null: false,
        polymorphic: { null: false, default: '', limit: 200 }, index: false
      t.references :input,   type: :uuid, null: false,
        polymorphic: { null: false, default: '', limit: 200 }, index: false

      t.decimal :similarity_percentage, null: false, default: 0.0, precision: 12, scale: 2
      t.integer :valve_percentage,      null: false, default: 0
      t.integer :priority,              null: false, default: 0

      t.text :instruction
      t.text :description

      t.column   :state, 'char(1)', null: false, default: Unidom::Common::STATE
      t.datetime :opened_at,        null: false, default: Unidom::Common::OPENED_AT
      t.datetime :closed_at,        null: false, default: Unidom::Common::CLOSED_AT
      t.boolean  :defunct,          null: false, default: false
      t.jsonb    :notation,         null: false, default: {}

      t.timestamps null: false

    end

    add_index :unidom_pattern_matchings, :input_id
    add_index :unidom_pattern_matchings, :matched_id

  end

end
