class CreateUnidomSamples < ActiveRecord::Migration[6.0]

  def change

    create_table :unidom_samples, id: :uuid do |t|

      t.references :substance,       type: :uuid, null: false,
        polymorphic: { null: false, default: '', limit: 200 }, index: false
      t.references :taker_equipment, type: :uuid, null: false,
        polymorphic: { null: false, default: '', limit: 200 }, index: false

      t.string   :raw_data_link,      null: false, default: '', limit: 200
      t.string   :raw_data_mime_type, null: false, default: '', limit: 200
      t.integer  :raw_data_file_size, null: false, default: 0
      t.datetime :sampled_at,         null: false, default: Unidom::Common::CLOSED_AT

      t.text :instruction
      t.text :description

      t.column   :state, 'char(1)', null: false, default: Unidom::Common::STATE
      t.datetime :opened_at,        null: false, default: Unidom::Common::OPENED_AT
      t.datetime :closed_at,        null: false, default: Unidom::Common::CLOSED_AT
      t.boolean  :defunct,          null: false, default: false
      t.jsonb    :notation,         null: false, default: {}


      t.timestamps null: false

    end

    add_index :unidom_samples, :substance_id
    add_index :unidom_samples, :taker_equipment_id

  end

end
