class CreateUnidomFeatures < ActiveRecord::Migration[6.0]

  def change

    create_table :unidom_features, id: :uuid do |t|

      t.references :sample,     type: :uuid, null: false
      t.references :classifier, type: :uuid, null: false

      t.string  :extracted_link,      null: false, default: '', limit: 200
      t.string  :extracted_mime_type, null: false, default: '', limit: 200
      t.integer :extracted_file_size, null: false, default: 0

      t.string  :feature_link,      null: false, default: '', limit: 200
      t.string  :feature_mime_type, null: false, default: '', limit: 200
      t.integer :feature_file_size, null: false, default: 0

      t.integer :grade, null: false, default: 0

      t.text :instruction
      t.text :description

      t.column   :state, 'char(1)', null: false, default: Unidom::Common::STATE
      t.datetime :opened_at,        null: false, default: Unidom::Common::OPENED_AT
      t.datetime :closed_at,        null: false, default: Unidom::Common::CLOSED_AT
      t.boolean  :defunct,          null: false, default: false
      t.jsonb    :notation,         null: false, default: {}

      t.timestamps null: false

    end

  end

end
