class CreateUnidomPatternLibraries < ActiveRecord::Migration[6.0]

  def change

    create_table :unidom_pattern_libraries, id: :uuid do |t|

      t.references :subject,          type: :uuid, null: false,
        polymorphic: { null: false, default: '', limit: 200 }, index: false
      t.references :matched_processor, type: :uuid, null: false,
        polymorphic: { null: false, default: '', limit: 200 }, index: false

      t.string  :name,             null: false, default: '', limit: 200
      t.integer :valve_percentage, null: false, default: 0

      t.string :applied_species,               null: false, default: '', limit: 200
      t.column :applied_field_code, 'char(4)', null: false, default: 'FACE'

      t.text :instruction
      t.text :description

      t.column   :state, 'char(1)', null: false, default: Unidom::Common::STATE
      t.datetime :opened_at,        null: false, default: Unidom::Common::OPENED_AT
      t.datetime :closed_at,        null: false, default: Unidom::Common::CLOSED_AT
      t.boolean  :defunct,          null: false, default: false
      t.jsonb    :notation,         null: false, default: {}

      t.timestamps null: false

    end

    add_index :unidom_pattern_libraries, :subject_id
    add_index :unidom_pattern_libraries, :matched_processor_id

  end

end
