class CreateUnidomPatternLibraryInclusions < ActiveRecord::Migration[6.0]

  def change

    create_table :unidom_pattern_library_inclusions, id: :uuid do |t|

      t.references :pattern_library, type: :uuid, null: false
      t.references :pattern,         type: :uuid, null: false,
        polymorphic: { null: false, default: '', limit: 200 }, index: false

      t.integer :priority, null: false, default: 0

      t.text :instruction
      t.text :description

      t.column   :state, 'char(1)', null: false, default: Unidom::Common::STATE
      t.datetime :opened_at,        null: false, default: Unidom::Common::OPENED_AT
      t.datetime :closed_at,        null: false, default: Unidom::Common::CLOSED_AT
      t.boolean  :defunct,          null: false, default: false
      t.jsonb    :notation,         null: false, default: {}

      t.timestamps null: false

    end

    add_index :unidom_pattern_library_inclusions, :pattern_id

  end

end
