require 'rails_helper'

describe Unidom::Stapar::Classifier, type: :model do

  before :each do
  end

  after :each do
  end

  context do

    model_attributes = {
      supplier_name:       'Intelligent Works',
      algorithm_name:      'FR Pro',
      data_format_version: 1,
      applied_species:     'Homo sapiens',
      applied_field_code:  'FACE'
    }

    it_behaves_like 'Unidom::Common::Concerns::ModelExtension', model_attributes

    it_behaves_like 'validates text', model_attributes, :supplier_name,
      length: 2..described_class.columns_hash['supplier_name'].limit
    it_behaves_like 'validates text', model_attributes, :algorithm_name,
      length: 2..described_class.columns_hash['algorithm_name'].limit
    it_behaves_like 'validates numericality', model_attributes, :data_format_version,
      range: 1..1_000_000_000, minimum_inclusive: true, maximum_inclusive: true, only_integer: true
    it_behaves_like 'validates text', model_attributes, :applied_species,
      length: 2..described_class.columns_hash['applied_species'].limit

    it_behaves_like 'ProgneTapera::EnumCode', described_class.new(model_attributes), :applied_field, Unidom::Stapar::AppliedField

  end

end
