require 'rails_helper'

describe Unidom::Stapar::PatternLibraryInclusion, type: :model do

  before :each do
  end

  after :each do
  end

  context do

    classifier = Unidom::Stapar::Classifier.first_or_create! supplier_name: 'Intelligent Works',
      algorithm_name:      'FR Pro',
      data_format_version: 1,
      applied_species:     'Homo sapiens',
      applied_field_code:  'FACE'

    subject           = classifier
    matched_processor = classifier

    pattern_library = Unidom::Stapar::PatternLibrary.first_or_create! subject: subject,
      matched_processor:  matched_processor,
      name:               'Door Guard',
      valve_percentage:   60,
      applied_species:    'Homo sapiens',
      applied_field_code: 'FACE'

    pattern = classifier

    model_attributes = {
      pattern_library: pattern_library,
      pattern:         pattern
    }

    it_behaves_like 'Unidom::Common::Concerns::ModelExtension', model_attributes

  end

end unless Unidom::Common::Neglection.namespace_neglected? 'Unidom::Stapar::PatternLibraryInclusion'
