require 'rails_helper'

describe Unidom::Stapar::PatternLibrary, type: :model do

  before :each do
  end

  after :each do
  end

  context do

    classifier = Unidom::Stapar::Classifier.first_or_create! supplier_name: 'Intelligent Works',
      algorithm_name:      'FR Pro',
      data_format_version: 1,
      applied_species:     'Homo sapiens',
      applied_field_code:  'FACE'
    subject           = classifier
    matched_processor = classifier

    model_attributes = {
      subject:            subject,
      matched_processor:  matched_processor,
      name:               'Door Guard',
      valve_percentage:   60,
      applied_species:    'Homo sapiens',
      applied_field_code: 'FACE'
    }

    it_behaves_like 'Unidom::Common::Concerns::ModelExtension', model_attributes

    it_behaves_like 'validates text', model_attributes, :name,
      length: 2..described_class.columns_hash['name'].limit
    it_behaves_like 'validates numericality', model_attributes, :valve_percentage,
      range: 0..100, minimum_inclusive: false, maximum_inclusive: true, only_integer: true
    it_behaves_like 'validates text', model_attributes, :applied_species,
      length: 2..described_class.columns_hash['applied_species'].limit

    it_behaves_like 'ProgneTapera::EnumCode', described_class.new(model_attributes), :applied_field, Unidom::Stapar::AppliedField

  end

end unless Unidom::Common::Neglection.namespace_neglected? 'Unidom::Stapar::PatternLibrary'
