require 'rails_helper'

describe Unidom::Stapar::PatternMatching, type: :model do

  before :each do
  end

  after :each do
  end

  context do

    classifier = Unidom::Stapar::Classifier.first_or_create! supplier_name: 'Intelligent Works',
      algorithm_name:      'FR Pro',
      data_format_version: 1,
      applied_species:     'Homo sapiens',
      applied_field_code:  'FACE'
    matched = classifier
    input   = classifier

    model_attributes = {
      matched:               matched,
      input:                 input,
      similarity_percentage: 91.35,
      valve_percentage:      60
    }

    it_behaves_like 'Unidom::Common::Concerns::ModelExtension', model_attributes

    it_behaves_like 'validates numericality', model_attributes, :similarity_percentage,
      range: 0..100, minimum_inclusive: false, maximum_inclusive: true, only_integer: false
    it_behaves_like 'validates numericality', model_attributes, :valve_percentage,
      range: 0..100, minimum_inclusive: false, maximum_inclusive: true, only_integer: true
    #it_behaves_like 'validates numericality', model_attributes, :priority,
    #  range: 0..100, minimum_inclusive: false, maximum_inclusive: true, only_integer: true

  end

end
